<?php

class __Mustache_399ff6e01b7c25349ae617a190e022a9 extends Mustache_Template
{
    private $lambdaHelper;

    public function renderInternal(Mustache_Context $context, $indent = '')
    {
        $this->lambdaHelper = new Mustache_LambdaHelper($this->mustache, $context);
        $buffer = '';

        $buffer .= $indent . '<div class="mfp">
';
        $buffer .= $indent . '    <section class="mfp-hero">
';
        $buffer .= $indent . '        <div>
';
        $buffer .= $indent . '            <span>';
        $value = $context->find('str');
        $buffer .= $this->sectionA59b9648c05407f158c7fb276672808a($context, $indent, $value);
        $buffer .= '</span>
';
        $buffer .= $indent . '            <h2>';
        $value = $context->find('str');
        $buffer .= $this->section594bc9ad14f100a33d898a72d70a4013($context, $indent, $value);
        $buffer .= '</h2>
';
        $buffer .= $indent . '            <p>';
        $value = $context->find('str');
        $buffer .= $this->section656c9c86cf1b2074ca3afd749073814b($context, $indent, $value);
        $buffer .= '</p>
';
        $buffer .= $indent . '        </div>
';
        $buffer .= $indent . '        <a class="btn btn-outline-primary" href="';
        $value = $this->resolveValue($context->find('portfoliourl'), $context);
        $buffer .= ($value === null ? '' : call_user_func($this->mustache->getEscape(), $value));
        $buffer .= '">
';
        $buffer .= $indent . '            ';
        $value = $context->find('str');
        $buffer .= $this->sectionF0d92ec4183592da03ff58c7e7e9d687($context, $indent, $value);
        $buffer .= '
';
        $buffer .= $indent . '        </a>
';
        $buffer .= $indent . '    </section>
';
        $buffer .= $indent . '
';
        $value = $context->find('hasitems');
        $buffer .= $this->sectionDa2c098b0ad9b320d648aa3747ebd2f4($context, $indent, $value);
        $buffer .= $indent . '
';
        $value = $context->find('hasitems');
        if (empty($value)) {
            
            $buffer .= $indent . '        <section class="mfp-empty">
';
            $buffer .= $indent . '            <strong>';
            $value = $context->find('str');
            $buffer .= $this->section1f0b31a4da907e3ea5ce2738ea317c06($context, $indent, $value);
            $buffer .= '</strong>
';
            $buffer .= $indent . '            <p>';
            $value = $context->find('str');
            $buffer .= $this->section1e1002773ce8da2f0bc56868bdf6acda($context, $indent, $value);
            $buffer .= '</p>
';
            $buffer .= $indent . '        </section>
';
        }
        $buffer .= $indent . '</div>
';

        return $buffer;
    }

    private function sectionA59b9648c05407f158c7fb276672808a(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = 'schooljourney, local_miflora_portfolio';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= 'schooljourney, local_miflora_portfolio';
                $context->pop();
            }
        }
    
        return $buffer;
    }

    private function section594bc9ad14f100a33d898a72d70a4013(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = 'historytitle, local_miflora_portfolio';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= 'historytitle, local_miflora_portfolio';
                $context->pop();
            }
        }
    
        return $buffer;
    }

    private function section656c9c86cf1b2074ca3afd749073814b(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = 'historydescription, local_miflora_portfolio';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= 'historydescription, local_miflora_portfolio';
                $context->pop();
            }
        }
    
        return $buffer;
    }

    private function sectionF0d92ec4183592da03ff58c7e7e9d687(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = 'backtoportfolio, local_miflora_portfolio';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= 'backtoportfolio, local_miflora_portfolio';
                $context->pop();
            }
        }
    
        return $buffer;
    }

    private function section2cfb05589a74e523c4162fe77ab3c32e(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = ' · {{course}}';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= ' · ';
                $value = $this->resolveValue($context->find('course'), $context);
                $buffer .= ($value === null ? '' : call_user_func($this->mustache->getEscape(), $value));
                $context->pop();
            }
        }
    
        return $buffer;
    }

    private function section1ed1edbced9cf37d371632d30774f8a8(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = '
                <a class="mfp-timeline__item" href="{{url}}">
                    <span class="mfp-timeline__dot"></span>
                    <div>
                        <small>{{date}}</small>
                        <h3>{{title}}</h3>
                        <p>{{area}}{{#hascourse}} · {{course}}{{/hascourse}}</p>
                    </div>
                </a>
            ';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= $indent . '                <a class="mfp-timeline__item" href="';
                $value = $this->resolveValue($context->find('url'), $context);
                $buffer .= ($value === null ? '' : call_user_func($this->mustache->getEscape(), $value));
                $buffer .= '">
';
                $buffer .= $indent . '                    <span class="mfp-timeline__dot"></span>
';
                $buffer .= $indent . '                    <div>
';
                $buffer .= $indent . '                        <small>';
                $value = $this->resolveValue($context->find('date'), $context);
                $buffer .= ($value === null ? '' : call_user_func($this->mustache->getEscape(), $value));
                $buffer .= '</small>
';
                $buffer .= $indent . '                        <h3>';
                $value = $this->resolveValue($context->find('title'), $context);
                $buffer .= ($value === null ? '' : call_user_func($this->mustache->getEscape(), $value));
                $buffer .= '</h3>
';
                $buffer .= $indent . '                        <p>';
                $value = $this->resolveValue($context->find('area'), $context);
                $buffer .= ($value === null ? '' : call_user_func($this->mustache->getEscape(), $value));
                $value = $context->find('hascourse');
                $buffer .= $this->section2cfb05589a74e523c4162fe77ab3c32e($context, $indent, $value);
                $buffer .= '</p>
';
                $buffer .= $indent . '                    </div>
';
                $buffer .= $indent . '                </a>
';
                $context->pop();
            }
        }
    
        return $buffer;
    }

    private function sectionDa2c098b0ad9b320d648aa3747ebd2f4(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = '
        <div class="mfp-timeline">
            {{#items}}
                <a class="mfp-timeline__item" href="{{url}}">
                    <span class="mfp-timeline__dot"></span>
                    <div>
                        <small>{{date}}</small>
                        <h3>{{title}}</h3>
                        <p>{{area}}{{#hascourse}} · {{course}}{{/hascourse}}</p>
                    </div>
                </a>
            {{/items}}
        </div>
    ';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= $indent . '        <div class="mfp-timeline">
';
                $value = $context->find('items');
                $buffer .= $this->section1ed1edbced9cf37d371632d30774f8a8($context, $indent, $value);
                $buffer .= $indent . '        </div>
';
                $context->pop();
            }
        }
    
        return $buffer;
    }

    private function section1f0b31a4da907e3ea5ce2738ea317c06(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = 'nohistory, local_miflora_portfolio';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= 'nohistory, local_miflora_portfolio';
                $context->pop();
            }
        }
    
        return $buffer;
    }

    private function section1e1002773ce8da2f0bc56868bdf6acda(Mustache_Context $context, $indent, $value)
    {
        $buffer = '';
    
        if (!is_string($value) && is_callable($value)) {
            $source = 'nohistorydesc, local_miflora_portfolio';
            $result = (string) call_user_func($value, $source, $this->lambdaHelper);
            $buffer .= $result;
        } elseif (!empty($value)) {
            $values = $this->isIterable($value) ? $value : array($value);
            foreach ($values as $value) {
                $context->push($value);
                
                $buffer .= 'nohistorydesc, local_miflora_portfolio';
                $context->pop();
            }
        }
    
        return $buffer;
    }

}
